%define name gstreamer
%define version 0.8.12
%define release %mkrel 3
%define vname %{name}08

%define major 0.8
%define majorminor 0.8
%define libname %mklibname %{name} %{major}
%define	_glib2	2.2.0
%define	_libxml2	2.4.0
%define build_docs 1

Name:		%{name}
Summary:	GStreamer Streaming-media framework runtime
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		Sound
URL:		http://gstreamer.freedesktop.org/
Source0:	http://gstreamer.freedesktop.org/src/gstreamer/%{name}-%{version}.tar.bz2
Patch0:		gstreamer-0.8.12-sparc-gcc4-build-fix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	glib2-devel >= %{_glib2}
BuildRequires:	libxml2-devel >= %{_libxml2}
BuildRequires:	popt-devel
BuildRequires:	gettext-devel
%ifarch %ix86 
BuildRequires:	nasm => 0.90
%endif
BuildRequires:	bison
BuildRequires:	flex
%if %build_docs
BuildRequires:	gtk-doc >= 0.7
BuildRequires:	transfig
BuildRequires:	docbook-dtd42-xml
BuildRequires:	ghostscript
%endif

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.

%package -n	gstreamer-tools
Summary:	GStreamer Streaming-media framework runtime
Group:		Sound
Provides:	%{vname}-tools = %{version}-%{release}
Provides:	gstreamer = %{version}-%{release}
Obsoletes:	gstreamer

%description -n	gstreamer-tools
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.

%package -n	%{libname}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries
Requires(post):	%{name}-tools >= %{version}-%{release}
Provides:	libgstreamer%{majorminor} = %{version}-%{release}

%description -n	%{libname}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%package -n	%{libname}-devel
Summary:	Libraries and include files for GStreamer streaming-media framework
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	libglib2-devel
Requires:	libxml2-devel
Provides:	libgstreamer-devel = %{version}-%{release}
Provides:	libgstreamer%{majorminor}-devel = %{version}-%{release}

%description -n	%{libname}-devel
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new   
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.


%prep
%setup -q
%patch0 -p1 -b .gcc4_fix

%build
%configure2_5x  --enable-debug --disable-dependency-tracking \
  --with-cachedir=%{_var}/cache/%{name}-%{majorminor} \
  --with-configdir=%{_sysconfdir}/%{name} \
  --disable-tests --disable-examples \
%if %build_docs
  --enable-docs-build \
%else	
  --disable-docs-build \
%endif
 --with-html-dir=%_datadir/gtk-doc/html

make

%install  
rm -rf $RPM_BUILD_ROOT  installed-docs
%makeinstall_std
mkdir -p $RPM_BUILD_ROOT%{_var}/cache/%{name}-%{majorminor}
#clean the files we don't want to install 
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}-%{majorminor}/*.a
rm -f %{buildroot}%{_libdir}/*a 
%find_lang %{name}-%{majorminor}
%if %build_docs
mv %{buildroot}%{_datadir}/doc/%{name}-%{version}/ installed-docs
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname}
/sbin/ldconfig
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null

%postun -n %{libname} -p /sbin/ldconfig

%files tools -f %{name}-%{majorminor}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README NEWS
%dir %{_var}/cache/%{name}-%{majorminor}
%{_bindir}/gst-complete-%majorminor
%{_bindir}/gst-compprep-%majorminor
%{_bindir}/gst-feedback-%majorminor
%{_bindir}/gst-inspect-%majorminor
%{_bindir}/gst-launch-%majorminor
%{_bindir}/gst-md5sum-%majorminor
%{_bindir}/gst-register-%majorminor
%{_bindir}/gst-typefind-%majorminor
%{_bindir}/gst-xmlinspect-%majorminor
%{_bindir}/gst-xmllaunch-%majorminor
%{_mandir}/man1/gst-complete-%majorminor.1.*
%{_mandir}/man1/gst-compprep-%majorminor.1.*
%{_mandir}/man1/gst-feedback-%majorminor.1.*
%{_mandir}/man1/gst-inspect-%majorminor.1.*
%{_mandir}/man1/gst-launch-%majorminor.1.*
%{_mandir}/man1/gst-md5sum-%majorminor.1.*
%{_mandir}/man1/gst-register-%majorminor.1.*
%{_mandir}/man1/gst-typefind-%majorminor.1.*
%{_mandir}/man1/gst-xmlinspect-%majorminor.1.*
%{_mandir}/man1/gst-xmllaunch-%majorminor.1.*
# gw this must always be in a package named gstreamer-tools
#%files -n gstreamer-tools
#%defattr(-, root, root, -)
%{_bindir}/gst-complete
%{_bindir}/gst-compprep
%{_bindir}/gst-feedback
%{_bindir}/gst-inspect
%{_bindir}/gst-launch
%{_bindir}/gst-md5sum
%{_bindir}/gst-register
%{_bindir}/gst-typefind
%{_bindir}/gst-xmlinspect
%{_bindir}/gst-xmllaunch


%files -n %{libname}
%defattr(-, root, root)
%dir %{_libdir}/%{name}-%{majorminor}
%{_libdir}/libgstreamer-%{majorminor}.so.*
%{_libdir}/libgstcontrol-%{majorminor}.so.*
%{_libdir}/%{name}-%{majorminor}/libgstbasicomega*.so
%{_libdir}/%{name}-%{majorminor}/libgstbytestream.so
%{_libdir}/%{name}-%{majorminor}/libgstentrygthreadscheduler.so
%{_libdir}/%{name}-%{majorminor}/libgstentryomegascheduler.so
%{_libdir}/%{name}-%{majorminor}/libgstoptscheduler.so
%{_libdir}/%{name}-%{majorminor}/libgstoptomega*.so
%{_libdir}/%{name}-%{majorminor}/libgstbasicgthreadscheduler.so
%{_libdir}/%{name}-%{majorminor}/libgstdataprotocol.so
%{_libdir}/%{name}-%{majorminor}/libgstoptgthreadscheduler.so
%{_libdir}/%{name}-%{majorminor}/libgstelements*.so
%{_libdir}/%{name}-%{majorminor}/libgstgetbits*.so
%{_libdir}/%{name}-%{majorminor}/libgstspider*.so
%{_libdir}/%{name}-%{majorminor}/libgstindexers.so
%{_libdir}/%{name}-%{majorminor}/libgstfairgthreadscheduler.so

%files -n %{libname}-devel
%defattr(-, root, root)
%doc DEVEL DOCBUILDING REQUIREMENTS ChangeLog TODO
%if %build_docs
%doc installed-docs/*
%endif
%dir %{_includedir}/%{name}-%{majorminor}
%dir %{_includedir}/%{name}-%{majorminor}/gst
%{_includedir}/%{name}-%{majorminor}/gst/*.h
%dir %{_includedir}/%{name}-%{majorminor}/gst/bytestream
%{_includedir}/%{name}-%{majorminor}/gst/bytestream/*.h
%dir %{_includedir}/%{name}-%{majorminor}/gst/control
%{_includedir}/%{name}-%{majorminor}/gst/control/*.h
%dir %{_includedir}/%{name}-%{majorminor}/gst/dataprotocol/
%{_includedir}/%{name}-%{majorminor}/gst/dataprotocol/*.h
%dir %{_includedir}/%{name}-%{majorminor}/gst/getbits
%{_includedir}/%{name}-%{majorminor}/gst/getbits/getbits.h

%{_libdir}/libgstreamer-%{majorminor}.so
%{_libdir}/libgstcontrol-%{majorminor}.so
%{_datadir}/aclocal/gst-element-check-%{majorminor}.m4
%{_libdir}/pkgconfig/gstreamer-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-control-%{majorminor}.pc
%if %build_docs
## we specify the API docs as regular files since %docs doesn't fail when
#  files aren't found anymore for RPM >= 4
#  we list all of the files we really need to trap incomplete doc builds
#  then we catch the rest with *, you can safely ignore the errors from this
## gstreamer API
%dir %{_datadir}/gtk-doc/html/%{name}-%{majorminor}
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/%{name}-%{majorminor}.devhelp
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/GstBin.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/GstClock.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/GstObject.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/GstPipeline.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/GstPluginFeature.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/%{name}-GstSystemClock.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/%{name}.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/%{name}-support.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/GstThread.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/GstXML.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/index.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/index.sgml
## gstreamer-libs API
%dir %{_datadir}/gtk-doc/html/%{name}-libs-%{majorminor}
%{_datadir}/gtk-doc/html/%{name}-libs-%{majorminor}/%{name}-libs-%{majorminor}.devhelp
%{_datadir}/gtk-doc/html/%{name}-libs-%{majorminor}/%{name}-libs-gstgetbits.html
%{_datadir}/gtk-doc/html/%{name}-libs-%{majorminor}/%{name}-libs.html
%{_datadir}/gtk-doc/html/%{name}-libs-%{majorminor}/index.html
%{_datadir}/gtk-doc/html/%{name}-libs-%{majorminor}/index.sgml
## this catches all of the rest of the docs we might have forgotten
%{_datadir}/gtk-doc/html/*
%endif




%changelog

* Mon Feb 26 2007 Olivier Thauvin <nanardon@mandriva.org> 0.8.12-3mdv2007.0
+ Revision: 126053
- rebuild to fix pkgconfig dependencies

* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 0.8.12-2mdv2007.1
+ Revision: 114686
- Import gstreamer

* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 0.8.12-2mdv2007.1
- unpack patch

* Wed May 10 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.8.12-2mdk
- Fix FTBFS with GCC 4 in a code path only built by sparc (but unused) (P0 from debian)
- don't wipe out buildroot in %%prep
- cosmetics
- utf-8

* Mon Feb 13 2006 Götz Waschk <waschk@mandriva.org> 0.8.12-1mdk
- New release 0.8.12
- use mkrel

* Thu Sep 15 2005 Frederic Crozat <fcrozat@mandriva.com> 0.8.11-2mdk 
- fix prereq

* Tue Sep 06 2005 Frederic Crozat <fcrozat@mandriva.com> 0.8.11-1mdk 
- Release 0.8.11

* Mon Aug 01 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.10-2mdk
- Fix provide

* Wed May 04 2005 Götz Waschk <waschk@mandriva.org> 0.8.10-1mdk
- New release 0.8.10

* Thu Feb 10 2005 Götz Waschk <waschk@linux-mandrake.com> 0.8.9-1mdk
- New release 0.8.9

* Mon Dec 27 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.8-1mdk
- New release 0.8.8

* Tue Dec 21 2004 Götz Waschk <waschk@linux-mandrake.com> 0.8.7.2-1mdk
- add new file
- drop merged patch 0
- New prerelease 0.8.7.2

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.8.7-3mdk
- Rebuild for new python

* Tue Nov 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.7-2mdk
- Patch0 (CVS): fix URI escaping

* Tue Nov 09 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.7-1mdk
- New release 0.8.7

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.5-2mdk
- Call gst-register in lib package scripts since main package no longer exists

* Tue Aug 17 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.5-1mdk
- New release 0.8.5

* Thu Jul 22 2004 Götz Waschk <waschk@linux-mandrake.com> 0.8.4-1mdk
- add gst-xmlinspect man page
- drop merged patch
- New release 0.8.4

* Thu Jun 24 2004 Götz Waschk <waschk@linux-mandrake.com> 0.8.3-3mdk
- reenable docs
- replace patch with solution from CVS

* Sun Jun 20 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.8.3-2mdk
- add BuildRequires: gettext-devel

* Wed Jun 09 2004 Götz Waschk <waschk@linux-mandrake.com> 0.8.3-1mdk
- disable docs
- update patch with a different fix
- new version

* Thu Jun 03 2004 Götz Waschk <waschk@linux-mandrake.com> 0.8.1.3-1mdk
- new prerelease

* Sat May 29 2004 Götz Waschk <waschk@linux-mandrake.com> 0.8.1.2-2mdk
- reenable docs
- fix crash of all gstreamer apps (d'Oh)

* Thu May 27 2004 Götz Waschk <waschk@linux-mandrake.com> 0.8.1.2-1mdk
- update file list
- reallow libtoolize
- disable docs build, there was some problem
- drop patch
- fix URL
- New release 0.8.1.2

* Fri May 14 2004 Götz Waschk <waschk@linux-mandrake.com> 0.8.1-2mdk
- fix doc listing

* Fri Apr 16 2004 Götz Waschk <waschk@linux-mandrake.com> 0.8.1-1mdk
- fix file list
- new version

* Wed Apr 07 2004 Götz Waschk <waschk@linux-mandrake.com> 0.8.0-2mdk
- provide and obsolete gstreamer to fix upgrades

* Wed Apr 07 2004 Götz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- include unversioned command line tools
- rename package from gstreamer0.7
- new major
- fix post call
- new version

